Subject: Fwd: Some non-standard O_* flags are missing

From: Maxime Devos <[email-masked]>
Date: Sun, 31 Jan 2021 22:30:22 +0100

Hi guilers,

I've accidentally sent the message to guile-devel instead
of bug-guile.  The bug report is forwarded here.

Subject: Some non-standard O_* flags are missing
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jan 2021 22:13:10 +0100

Hi guilers,

I noticed the following open flags are not defined:
O_NOFOLLOW, O_TMPFILE, O_IGNORE_CTTY, O_NOLINK,
O_SHLOCK, O_EXLOCK, O_ASYNC, O_NOATIME.

Some of these are Hurd-specific, Linux-specific
and BSD-specific.  I'm particularily interested
in O_NOFOLLOW, O_TMPFILE, O_IGNORE_CTTY, O_NOLINK
and O_NOATIME, the others don't matter for me,
though they may be useful for others.

Could extra O_* flags be exported to Guile (in libguile/filesys.c)
on systems where they are defined?

Greetings,
Maxime
-- 
Maxime Devos <[email-masked]>
PGP Key: C1F3 3EE2 0C52 8FDB 7DD7  011F 49E3 EE22 1917 25EE
Freenode handle: mdevos